> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neuralverge.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Run AliExpress Product Reviews

> Returns buyer reviews for an AliExpress product by ID or URL. List endpoint: 1 point per returned record.



## OpenAPI

````yaml /openapi.json post /functions/v1/run-aliexpress-product-reviews
openapi: 3.0.0
info:
  title: NeuralVerge API
  version: 1.0.0
  description: >-
    NeuralVerge API for AI research workflows, search, extraction, and
    structured data source execution.
servers:
  - url: https://api.neuralverge.ai
    description: NeuralVerge API
security:
  - BearerAuth: []
tags:
  - name: AI Research
    description: Research workflows and session tracking.
  - name: AI Extract
    description: Schema-driven extraction workflows.
  - name: AI Agents
    description: Reusable saved agents executed through the API.
  - name: Search
    description: Fast, synchronous web search with no session or polling.
  - name: Company intelligence
    description: Company profile lookups from company databases.
  - name: E-commerce & Marketplaces
    description: >-
      Product, seller, and review lookups on Amazon, eBay, Walmart, AliExpress,
      and Alibaba.
  - name: Enrichment
    description: Email and phone enrichment, validation, and discovery.
  - name: Product reviews
    description: >-
      Software and business reviews from Capterra, Gartner Peer Insights, and
      Trustpilot.
  - name: Social media
    description: LinkedIn profile, company, and people lookups.
paths:
  /functions/v1/run-aliexpress-product-reviews:
    post:
      tags:
        - E-commerce & Marketplaces
      summary: Run AliExpress Product Reviews
      description: >-
        Returns buyer reviews for an AliExpress product by ID or URL. List
        endpoint: 1 point per returned record.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                product:
                  type: string
                  description: AliExpress product ID or URL.
                max_items:
                  type: integer
                  minimum: 1
                  maximum: 250
                  default: 10
                  description: >-
                    Maximum number of records to return (1-250). Billed at 1
                    point per returned record.
                filter:
                  type: string
                  enum:
                    - all
                    - image
                    - additional
                    - local
                  default: all
                translate:
                  type: boolean
                  default: true
                language:
                  type: string
                  enum:
                    - ar_MA
                    - de_DE
                    - en_US
                    - es_ES
                    - fr_FR
                    - in_ID
                    - it_IT
                    - iw_IL
                    - ja_JP
                    - ko_KR
                    - nl_NL
                    - pl_PL
                    - pt_BR
                    - ru_RU
                    - th_TH
                    - tr_TR
                    - vi_VN
                  description: AliExpress site language.
                currency:
                  type: string
                  description: ISO currency code for prices, e.g. USD.
              required:
                - product
            example:
              product: '1005012791281455'
              max_items: 10
              filter: image
      responses:
        '200':
          description: Run completed.
          content:
            application/json:
              schema:
                type: object
                properties:
                  session_id:
                    type: string
                    description: Session identifier for this run.
                  kind:
                    type: string
                    description: Data source identifier for this endpoint.
                  product:
                    type: string
                  max_items:
                    type: integer
                  language: {}
                  currency: {}
                  filter:
                    type: string
                  translate:
                    type: boolean
                  human:
                    type: string
                    description: Markdown summary of the result, for display.
                  machine:
                    type: object
                    properties:
                      total_items:
                        type: integer
                      reviews:
                        type: array
                        items: {}
                      proxy_traffic_bytes:
                        type: integer
                      debug:
                        type: object
                        properties:
                          title:
                            type: string
                          url:
                            type: string
                          snippet:
                            type: string
                    description: Structured result payload.
                  total_points:
                    type: integer
                    description: Points charged for this run.
              example:
                session_id: 11111111-1111-1111-1111-111111111111
                kind: aliexpress_product_reviews
                product: '1005012791281455'
                max_items: 2
                language: null
                currency: null
                filter: all
                translate: true
                human: |-
                  # AliExpress product reviews

                  - **Product:** 1005012791281455
                  - **Max items:** 2
                  - **Records returned:** 0
                  - **Proxy traffic:** 5.30 MB

                  No reviews were returned for this product.
                machine:
                  total_items: 0
                  reviews: []
                  proxy_traffic_bytes: 5561418
                  debug:
                    title: >-
                      EPOMAKER NEX Lite Tri-Mode Wireless Gaming Mouse PAW3311
                      12000 DPI 1000Hz RGB Charging Dock for PC Mac Gaming
                      Office - AliExpress 7
                    url: >-
                      https://www.aliexpress.us/item/3256812604966703.html?gatewayAdapt=4itemAdapt
                    snippet: "AliExpress\nDownload the AliExpress app\nOther/EN/\nUSD\nWelcome\nSign in / Register\n0\nCart\nEPOMAKER NEX Lite Tri-Mode Wireless Gaming Mouse PAW3311 12000 DPI 1000Hz RGB Charging Dock for PC Mac Gaming Office\n6 sold\n$48.38\_\nExtra 3% off with coins\nUp to 4 x $12.10 with no interest\nColor:\_Pink\nAI overview of item\n\nDisclaimer: This content is generated by AI and does not represent the merchants opinion. "
                total_points: 0
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '402':
          description: Payment Required
        '500':
          description: Internal Error
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key

````